Subject: Re: [PATCH v2] blame: print unblamable and ignored commits in porcelain mode

From: Junio C Hamano <[email-masked]>
Date: Sat, 29 Mar 2025 12:06:45 -0700

Eric Sunshine <[email-masked]> writes:

>> +       test_expect_success 'mark_unblamable_lines with $opt' '
>
> This test title is going to display literal "$opt" rather than the
> intended option. Fix this by replacing the single quotes with double
> quotes:
>
>     test_expect_success "mark_unblamable_lines with $opt" '

Well spotted.  Sorry for making all developers suffer the
consequence of a mistake I made 20 years ago.  In retrospect, I
really should have anticipated that it would become a common pattern
to have test_expect_success inside a loop, and made this part also
be interpolated, to make it look similar to the next parameter.